Creates a new object that belongs to a static category (like Company,Project,...)
Request Information
URI Parameters :
None.
Body Parameters :
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "8f28c1e0-ae02-44b4-8d49-430a61a5da4d",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "79e9623d-c611-4875-ba48-639934c90a17",
"db_info_category_code": "sample string 6",
"parent_id": "90ad429c-f8ff-4a14-a566-c61dee331c98",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-04-09T02:08:27.8833073+00:00"
}
Response Information
Resource Description :
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "b3ae7113-8059-4820-b0e6-58a0643618c2",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "c37a0c5f-3908-405a-8272-a45752d8a037",
"db_info_category_code": "sample string 6",
"parent_id": "3b2472e9-7f8a-4b6b-a564-d017ea8afa33",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-04-09T02:08:27.8833073+00:00"
}